var _this = this,
    _jsxFileName = "C:\\github\\os\\react-most-wanted\\packages\\material-ui-shell\\src\\providers\\Theme\\Provider.js";

import PropTypes from 'prop-types';
import React, { useState, useEffect } from 'react';
import Context from './Context';
import useMediaQuery from '@material-ui/core/useMediaQuery';

var Provider = function Provider(_ref) {
  var children = _ref.children,
      _ref$persistKey = _ref.persistKey,
      persistKey = _ref$persistKey === void 0 ? 'theme' : _ref$persistKey,
      appConfig = _ref.appConfig;

  var _ref2 = appConfig || {},
      themeConfig = _ref2.theme;

  var _ref3 = themeConfig || {},
      defaultThemeID = _ref3.defaultThemeID,
      defaultType = _ref3.defaultType;

  var _useState = useState(defaultThemeID),
      themeID = _useState[0],
      setThemeID = _useState[1];

  var _useState2 = useState(defaultType),
      type = _useState2[0],
      setType = _useState2[1];

  var themeIDKey = persistKey + ":themeID";
  var typeKey = persistKey + ":type";
  useEffect(function () {
    var persistThemeID = localStorage.getItem(themeIDKey);
    var persistType = localStorage.getItem(typeKey);

    if (persistThemeID) {
      setThemeID(persistThemeID);
    }

    if (persistType) {
      setType(persistType);
    }
  }, []);
  useEffect(function () {
    try {
      localStorage.setItem(themeIDKey, themeID);
    } catch (error) {
      console.warn(error);
    }
  }, [themeID]);
  useEffect(function () {
    try {
      localStorage.setItem(typeKey, type);
    } catch (error) {
      console.warn(error);
    }
  }, [type]);
  return /*#__PURE__*/React.createElement(Context.Provider, {
    value: {
      themeID,
      type,
      setThemeID,
      setType
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 43,
      columnNumber: 5
    }
  }, children);
};

Provider.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.any
} : {};
export default Provider;