"use strict";

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactRouterDom = require("react-router-dom");

var _Context = _interopRequireDefault(require("base-shell/lib/providers/Config/Context"));

var _Context2 = _interopRequireDefault(require("../../providers/Menu/Context"));

var _reactIntl = require("react-intl");

var _ResponsiveMenu = _interopRequireDefault(require("../ResponsiveMenu/ResponsiveMenu"));

var _SelectableMenuList = _interopRequireDefault(require("../../containers/SelectableMenuList"));

var _Context3 = _interopRequireDefault(require("base-shell/lib/providers/Locale/Context"));

var _Scrollbar = _interopRequireDefault(require("../../components/Scrollbar/Scrollbar"));

var _this = void 0,
    _jsxFileName = "C:\\github\\os\\react-most-wanted\\packages\\material-ui-shell\\src\\containers\\Menu\\Menu.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var Menu = function Menu() {
  var intl = (0, _reactIntl.useIntl)();
  var history = (0, _reactRouterDom.useHistory)();
  var match = (0, _reactRouterDom.useRouteMatch)();
  var menuContext = (0, _react.useContext)(_Context2.default);
  var isDesktopOpen = menuContext.isDesktopOpen,
      isMini = menuContext.isMini,
      setDesktopOpen = menuContext.setDesktopOpen,
      setMobileOpen = menuContext.setMobileOpen,
      useMiniMode = menuContext.useMiniMode;

  var _useContext = (0, _react.useContext)(_Context.default),
      appConfig = _useContext.appConfig;

  var _useContext2 = (0, _react.useContext)(_Context3.default),
      setLocale = _useContext2.setLocale,
      _useContext2$locale = _useContext2.locale,
      locale = _useContext2$locale === void 0 ? 'en' : _useContext2$locale;

  var _ref = appConfig || {},
      menu = _ref.menu;

  var _ref2 = menu || {},
      MenuHeader = _ref2.MenuHeader,
      getMenuItems = _ref2.getMenuItems;

  var menuItems = getMenuItems({
    intl,
    locale,
    updateLocale: setLocale,
    menuContext,
    appConfig
  }).filter(function (item) {
    return item.visible !== false;
  });
  var index = match ? match.path : '/';

  var handleChange = function handleChange(event, index) {
    if (index !== undefined) {
      setMobileOpen(false);
    }

    if (index !== undefined && index !== Object(index)) {
      history.push(index);
    }
  };

  return /*#__PURE__*/_react.default.createElement(_ResponsiveMenu.default, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 45,
      columnNumber: 5
    }
  }, MenuHeader && /*#__PURE__*/_react.default.createElement(MenuHeader, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 46,
      columnNumber: 22
    }
  }), /*#__PURE__*/_react.default.createElement("div", {
    style: {
      display: 'flex',
      flexDirection: 'column',
      height: '100%'
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 47,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react.default.createElement(_Scrollbar.default, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 54,
      columnNumber: 9
    }
  }, /*#__PURE__*/_react.default.createElement(_SelectableMenuList.default, {
    items: menuItems,
    onIndexChange: handleChange,
    index: index,
    key: useMiniMode,
    useMinified: isMini && !isDesktopOpen,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 55,
      columnNumber: 11
    }
  }))));
};

var _default = Menu;
exports.default = _default;
module.exports = exports.default;